Bug 646801 - SELinux is preventing audisp-remote to halt system for network_failure_action
SELinux is preventing audisp-remote to halt system for network_failure_action
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.6
All Linux
high Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
BaseOS QE Security Team
: Regression
Depends On: 602159
Blocks: 602164
  Show dependency treegraph
 
Reported: 2010-10-26 06:32 EDT by Eduard Benes
Modified: 2011-01-13 16:51 EST (History)
7 users (show)

See Also:
Fixed In Version: selinux-policy-2.4.6-289.el5
Doc Type: Bug Fix
Doc Text:
By setting the "fail_action" option to "halt", the audisp-remote plug-in can be configured to shut down the system when an error is reported. However, consequent to an error in the SELinux rules, when a network connection failed, SELinux incorrectly denied the halt action. With this update, the SELinux rules have been corrected, and audisp-remote is now allowed to shut down the system as expected.
Story Points: ---
Clone Of: 602159
Environment:
Last Closed: 2011-01-13 16:51:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 Miroslav Grepl 2010-10-27 04:44:06 EDT
Fixed in selinux-policy-2.4.6-289.el5.noarch.
Comment 5 Jaromir Hradilek 2011-01-05 11:25:35 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
By setting the "fail_action" option to "halt", the audisp-remote plug-in can be configured to shut down the system when an error is reported. However, consequent to an error in the SELinux rules, when a network connection failed, SELinux incorrectly denied the halt action. With this update, the SELinux rules have been corrected, and audisp-remote is now allowed to shut down the system as expected.
Comment 7 errata-xmlrpc 2011-01-13 16:51:01 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0026.html

Note You need to log in before you can comment on or make changes to this bug.